public class CombSort{
    public static void Main(){
        int i = 0;
        int[] scrambled = {4, 8, 1, 5, 6, 2, 3, 0, 9, 7};
        int gap = scrambled.Length;
        float shrink = 1.3f;
        bool swapped = false;
        int temp = 0;

        // Write unsorted array
        for(i = 0; i < scrambled.Length; i++){
            System.Console.Write(scrambled[i]);
        }
        System.Console.WriteLine("");

        while(gap > 1 || swapped){

            gap = (int)(gap / shrink);
            if(gap < 1){
                gap = 1;
            }

            swapped = false;

            for(i = 0; gap + i < scrambled.Length; ++i){

                // use < for sorting from highest to lowest
                // use > for sorting from lowest to highest
                if(scrambled[i] - scrambled[i + gap] > 0){

                    temp = scrambled[i + gap];
                    scrambled[i + gap] = scrambled[i];
                    scrambled[i] = temp;

                    swapped = true;
                }

            }
        }

        // Write sorted array
        for(i = 0; i < scrambled.Length; i++){
            System.Console.Write(scrambled[i]);
        }

    }
}
