public class CombSort{
    public static void main(String[] args){
        int i = 0;
        int[] scrambled = {4, 8, 1, 5, 6, 2, 3, 0, 9, 7};
        int gap = scrambled.length;
        float shrink = 1.3f;
        boolean swapped = false;
        int temp = 0;

        // print unsorted array
        for(i = 0; i < scrambled.length; i++){
            System.out.print(scrambled[i]);
        }
        System.out.println("");

        while(gap > 1 || swapped){

            gap = (int)(gap / shrink);
            if(gap < 1){
                gap = 1;
            }

            swapped = false;

            for(i = 0; gap + i < scrambled.length; ++i){

                // use < for sorting from highest to lowest
                // use > for sorting from lowest to highest
                if(scrambled[i] - scrambled[i + gap] > 0){

                    temp = scrambled[i + gap];
                    scrambled[i + gap] = scrambled[i];
                    scrambled[i] = temp;

                    swapped = true;
                }

            }
        }

        // print sorted array
        for(i = 0; i < scrambled.length; i++){
            System.out.print(scrambled[i]);
        }
    }
}
