#import <Foundation/Foundation.h>

NSInteger doors[2] = {0, 0};
BOOL lights = NO;

void light_state(BOOL new_state){
    lights = new_state;
    if(lights){
        NSLog(@"Lights are on.");
    }else{
        NSLog(@"Lights are off.");
    }
}

void door_event(int door_id, int new_state){
    doors[door_id] = new_state;
    if(doors[0] == 1 || doors[1] == 1){
        light_state(YES);
    }else{
        light_state(NO);
    }
}

int main(int argc, const char *argv[]){
    NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];

    // test door opening events
    door_event(0, 1);
    door_event(1, 1);

    // test door closing events
    door_event(0, 0);
    door_event(1, 0);

    [pool drain];
    return 0;
}
