#!/usr/bin/env ruby
#########################
puts "do until loop"
$i = 0
begin
    puts $i
    $i += 1
end until $i >= 10
#########################
puts "\ndo while loop"
$i = 0
begin
    puts $i
    $i += 1
end while $i < 10
#########################
puts "\neach do loop"
(0..9).each do |$i|
    puts $i
end
#########################
puts "\nfor in loop"
for $i in 0..9
    puts $i
end
#########################
puts "\nuntil loop"
$i = 0
until $i >= 10 do
    puts $i
    $i += 1
end
#########################
puts "\nwhile loop"
$i = 0
while $i < 10 do
    puts $i
    $i += 1
end
#########################
puts "\nwhile loop with break"
$i = 0
while true do
    if $i < 10
        puts $i
        $i += 1
    else
        break
    end
end
#########################
puts "\nwhile loop with next"
$i = 0
while $i < 10 do
    if $i == 6
        $i += 1
        next
    end
    puts $i
    $i += 1
end
#########################
