section .bss           ;==unitialized space==
    result resb 4 

section .text          ;==code section==
    global _start      ;"make label available to linker"

_start:                ;=="standard nasm entry point?"==
    mov  eax, 0        ;start at 0
    add  eax, 5        ;add 5
    add  eax, 0x30     ;convert to ascii so it can be printed
    mov  [result], eax ;store value in result

    mov  edx, 1        ;arg3, length of result (always 1 in this case)
    mov  ecx, result   ;arg2, result string to print
    mov  ebx, 1        ;arg1, where to print (1 == screen)
    mov  eax, 4        ;arg0, "write sysout command to int 80 hex"
    int  0x80          ;"interrupt 80 hex, call kernal"

    mov  ebx, 0        ;"exit code, 0==normal"
    mov  eax, 1        ;"exit command to kernal"
    int  0x80          ;"interrupt 80 hex, call kernal"
