section .data                     ;==data section==
    msg: db "Hello, assembly!",0  ;the string to sysout
    len: equ $-msg                ;the length of the string

section .text                     ;==code section==
    global _start                 ;"make label available to linker"

_start:                           ;=="standard nasm entry point?"==
    mov  edx, len                 ;arg3, length of msg
    mov  ecx, msg                 ;arg2, pointer to string
    mov  ebx, 1                   ;arg1, where to print (1 == screen)
    mov  eax, 4                   ;arg0, "write sysout command to int 80 hex"
    int  0x80                     ;"interrupt 80 hex, call kernal"

    mov  ebx, 0                   ;"exit code, 0==normal"
    mov  eax, 1                   ;"exit command to kernal"
    int  0x80                     ;"interrupt 80 hex, call kernal"
