#include<iostream>

int doors[] = {0, 0};
bool lights = false;

void light_state(bool new_state){
    lights = new_state;
    if(lights){
        std::cout << "Lights are on." << std::endl;
    }else{
        std::cout << "Lights are off." << std::endl;
    }
}

void door_event(int door_id, int new_state){
    doors[door_id] = new_state;
    if(doors[0] == 1 || doors[1] == 1){
        light_state(true);
    }else{
        light_state(false);
    }
}

int main(){
    // test door opening events
    door_event(0, 1);
    door_event(1, 1);

    // test door closing events
    door_event(0, 0);
    door_event(1, 0);

    return 0;
}
