public class QuickSort{
    public static void Main(){
        int i = 0;
        int[] scrambled = {4, 8, 1, 5, 6, 2, 3, 0, 9, 7};

        // Write unsorted array
        for(i = 0; i < scrambled.Length; i++){
            System.Console.Write(scrambled[i]);
        }
        System.Console.WriteLine("");

        // sort the array
        quicksort(scrambled, 0, scrambled.Length - 1);

        // Write sorted array
        for(i = 0; i < scrambled.Length; i++){
            System.Console.Write(scrambled[i]);
        }

    }

    public static int partition(int[] array, int left, int right, int pivotIndex){
        int pivotValue = array[pivotIndex];

        int temp = array[pivotIndex];
        array[pivotIndex] = array[right];
        array[right] = temp;

        int storeIndex = left;
        int i = 0;
        for(i = left; i < right; i++){
            if(array[i] <= pivotValue){
                temp = array[i];
                array[i] = array[storeIndex];
                array[storeIndex] = temp;

                storeIndex++;
            }
        }

        temp = array[storeIndex];
        array[storeIndex] = array[right];
        array[right] = temp;

        return storeIndex;
    }

    public static void quicksort(int[] array, int left, int right){
        if(left < right){
            int pivotIndex = left + Math.Floor((right - left) / 2);

            int newPivotIndex = partition(array, left, right, pivotIndex);

            quicksort(array, left, newPivotIndex - 1);
            quicksort(array, newPivotIndex + 1, right);
        }
    }
}
