// Comments in Java can start with two slashes,
/* or start with a slash and an asterisk and end with an asterisk and a slash. */

/* Multi-line comments
   only require one
   opening slash and asterisk
   and one closing slash
   and asterisk. */

/**
 * Documentation comments start with a slash and two asterisks
 * and end with an asterisk and a slash. These comments are used
 * by the javadoc tool.
 */
public class Comments{                          // Both comment types
    public static void main(String[] args){     /* can be used after code. */
        System.out.println(/* This comment type can be used in code! */"Hello, comments!");
    }
}
