// Comments in Objective-C can start with two slashes,
/* or start with a slash and an asterisk and end with an asterisk and a slash. */

/* Multi-line comments
   only require one
   opening slash and asterisk
   and one closing slash
   and asterisk. */

#import <Foundation/Foundation.h>

int main(int argc, const char *argv[]){                         // Both comment types
    NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init]; /* can be used after code. */

    NSLog(/* This comment type can be used in code! */@"Hello, comments!");

    [pool drain];
    return 0;
}
