#import <Foundation/Foundation.h>

int main(int argc, const char *argv[]){
    NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];

    int i = 0;
    NSInteger scrambled[10] = {4, 8, 1, 5, 6, 2, 3, 0, 9, 7};
    int gap = sizeof(scrambled) / sizeof(scrambled[0]);
    const float shrink = 1.3f;
    bool swapped = NO;
    int temp = 0;

    // NSLog unsorted array
    for(i = 0; i < sizeof(scrambled) / sizeof(scrambled[0]); i++){
        NSLog(@"%i", scrambled[i]);
    }
    NSLog(@"");

    while(gap > 1 || swapped){

        gap = (int)(gap / shrink);
        if(gap < 1){
            gap = 1;
        }

        swapped = NO;

        for(i = 0; gap + i < sizeof(scrambled) / sizeof(scrambled[0]); ++i){

            // use < for sorting from highest to lowest
            // use > for sorting from lowest to highest
            if(scrambled[i] - scrambled[i + gap] > 0){

                temp = scrambled[i + gap];
                scrambled[i + gap] = scrambled[i];
                scrambled[i] = temp;

                swapped = YES;
            }

        }
    }

    // NSLog sorted array
    for(i = 0; i < sizeof(scrambled) / sizeof(scrambled[0]); i++){
        NSLog(@"%i", scrambled[i]);
    }

    [pool drain];
    return 0;
}
