#import <Foundation/Foundation.h>

int main(int argc, const char *argv[]){
    NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];

    int i = 0;
    int hole = 0;
    NSInteger scrambled[10] = {4, 8, 1, 5, 6, 2, 3, 0, 9, 7};
    int toInsert = 1;

    // NSLog unsorted array
    for(i = 0; i < sizeof(scrambled) / sizeof(scrambled[0]); i++){
        NSLog(@"%i", scrambled[i]);
    }
    NSLog(@"");

    for(i = 1; i < sizeof(scrambled) / sizeof(scrambled[0]); i++){

        toInsert = scrambled[i];
        hole = i;

        // use toInsert > scrambled[hole - 1] for sorting from highest to lowest
        // use toInsert < scrambled[hole - 1] for sorting from lowest to highest
        while(hole > 0 && toInsert < scrambled[hole - 1]){

            scrambled[hole] = scrambled[hole - 1];
            hole--;
        }

        scrambled[hole] = toInsert;
    }

    // NSLog sorted array
    for(i = 0; i < sizeof(scrambled) / sizeof(scrambled[0]); i++){
        NSLog(@"%i", scrambled[i]);
    }

    [pool drain];
    return 0;
}
