#!/usr/bin/env perl
package ExampleClass;

sub new{
    my ($class) = @_;
    my $self = {
        _testValue => 'default testValue value'
    };
    bless $self, $class;
    return $self;
}

sub setValue{
    my ($self, $newValue) = @_;
    $self->{_testValue} = $newValue if defined($newValue);
}

sub get_testValue{
    my ($self) = @_;
    return $self->{_testValue};
}

1;
