#!/usr/bin/env perl

my $i = 0;
my @scrambled = (4, 8, 1, 5, 6, 2, 3, 0, 9, 7);
my $gap = @scrambled;
my $shrink = 1.3;
my $swapped = 0;
my $temp = 0;

# print unsorted array
for($i = 0; $i < @scrambled; $i++){
    print $scrambled[$i];
}
print "\n";

while($gap > 1 || $swapped == 1){

    $gap = int($gap / $shrink);
    if($gap < 1){
        $gap = 1;
    }

    $swapped = 0;

    for($i = 0; $gap + $i < @scrambled; ++$i){

        # use < for sorting from highest to lowest
        # use > for sorting from lowest to highest
        if($scrambled[$i] - $scrambled[$i + $gap] > 0){

            $temp = $scrambled[$i + $gap];
            $scrambled[$i + $gap] = $scrambled[$i];
            $scrambled[$i] = $temp;

            $swapped = 1;
        }

    }
}

# print sorted array
for($i = 0; $i < @scrambled; $i++){
    print $scrambled[$i];
}
