#!/usr/bin/env ruby

$doors = [0, 0]
$lights = 0

def door_event(door_id, new_state)
    $doors[door_id] = new_state
    if $doors[0] == 1 or $doors[1] == 1
        light_state(1)
    else
        light_state(0)
    end
end

def light_state(new_state)
    $lights = new_state
    if $lights == 1
        puts 'Lights are on'
    else
        puts 'Lights are off'
    end
end

# test door opening events
door_event(0, 1)
door_event(1, 1)

# test door closing events
door_event(0, 0)
door_event(1, 0)
