#!/usr/bin/env ruby

$i = 0
$scrambled = [4, 8, 1, 5, 6, 2, 3, 0, 9, 7]
$gap = $scrambled.size
$shrink = 1.3
$swapped = 0

# puts unsorted array
for $i in 0..$scrambled.size - 1
    puts $scrambled[$i]
end
puts "\n"

while $gap > 1 or $swapped ==1 do

    $gap = ($gap / $shrink).to_i
    if $gap < 1
        $gap = 1
    end

    $i = 0
    $swapped = 0

    while $gap + $i < $scrambled.size do

        # use < for sorting from highest to lowest
        # use > for sorting from lowest to highest
        if $scrambled[$i] - $scrambled[$gap + $i] > 0

            $scrambled[$gap + $i], $scrambled[$i] = $scrambled[$i], $scrambled[$gap + $i]

            $swapped = 1
        end

        $i += 1
    end
end

# puts sorted array
for $i in 0..$scrambled.size - 1
    puts $scrambled[$i]
end

